## ros-rolling-ros2param 0.17.1

=== debian/changelog ===
ros-rolling-ros2param (0.17.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-ros2param (0.17.0-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-ros2param (0.16.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ros2param (0.16.0-1focal) focal; urgency=high

  * Fix how ros2 param interprets command-line arguments. (#684 <https://github.com/ros2/ros2cli/issues/684>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ros2param (0.15.0-1focal) focal; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Removed redundant code (#666 <https://github.com/ros2/ros2cli/issues/666>)
  * Reapply #659 <https://github.com/ros2/ros2cli/issues/659> (#661 <https://github.com/ros2/ros2cli/issues/661>)
  * Fix flaky ros2 param list (#656 <https://github.com/ros2/ros2cli/issues/656>)
  * Skip None Result (#646 <https://github.com/ros2/ros2cli/issues/646>)
  * add '--write' option to avoid an unintentional data loss. (#638 <https://github.com/ros2/ros2cli/issues/638>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic, Jacob Perron, Jay Wang, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-ros2param (0.14.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-ros2param (0.13.0-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-ros2param (0.12.0-1focal) focal; urgency=high

  * Make the ros2param --filter test more reliable. (#606 <https://github.com/ros2/ros2cli/issues/606>)
  * Add wildcard loading to ros2 param load. (#602 <https://github.com/ros2/ros2cli/issues/602>)
  * Ros2 param dump/load should use fully qualified node names. (#600 <https://github.com/ros2/ros2cli/issues/600>)
  * Add --filter options for 'ros2 param list'. (#592 <https://github.com/ros2/ros2cli/issues/592>)
  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add rosparam verb load. (#590 <https://github.com/ros2/ros2cli/issues/590>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang, Ivan Santiago Paunovic, Victor Lopez

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Mar 2021 08:00:00 -0000

ros-rolling-ros2param (0.11.0-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-ros2param (0.10.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-ros2param (0.10.0-1focal) focal; urgency=high

  * Add "--param-type" option to ros2param list. (#572 <https://github.com/ros2/ros2cli/issues/572>)
  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Contributors: Claire Wang, tomoya

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-rolling-ros2param (0.9.5-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-ros2param (0.9.4-1focal) focal; urgency=high

  * Avoid array.array in ros2 param output. (#508 <https://github.com/ros2/ros2cli/issues/508>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-ros2param (0.9.3-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-rolling-ros2param (0.9.2-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-ros2param (0.9.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 May 2020 07:00:00 -0000

ros-rolling-ros2param (0.9.0-1focal) focal; urgency=high

  * [ros2param] Convert test_verb_dump into launch test. (#485 <https://github.com/ros2/ros2cli/issues/485>)
    Fixes https://github.com/ros2/ros2cli/issues/480
    The actual tests are the same, except with the use of launch_testing we ensure the CLI daemon
    is restarted between tests. This follows a similar pattern as the other ros2cli tests.
    In addition to converting to launch tests, this change also runs the tests for all RMW implementations.
    For now, we are skipping tests on Windows. Other CLI tests are skipped on Windows since https://github.com/ros2/ros2cli/pull/489. To be reverted when https://github.com/ros2/build_farmer/issues/248 is resolved.
  * Do not wait for entire timeout. (#486 <https://github.com/ros2/ros2cli/issues/486>)
    Follow-up to #481 <https://github.com/ros2/ros2cli/issues/481>
    This makes the tests faster.
  * [ros2param] Add timeout to ros2param list. (#469 <https://github.com/ros2/ros2cli/issues/469>)
  * [ros2param] Wait for discovery before running tests. (#481 <https://github.com/ros2/ros2cli/issues/481>)
    Fixes #480 <https://github.com/ros2/ros2cli/issues/480>.
    Catch expected exceptions from rclpy (or transitively as xmlrpc.client.Fault) while we wait for discovery in the test setup.
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Use f-string. (#448 <https://github.com/ros2/ros2cli/issues/448>)
    * Use f-string
    * Remove unused variable
  * Fix ros2param tests. (#441 <https://github.com/ros2/ros2cli/issues/441>)

