## ros-rolling-ros2param 0.29.0

=== debian/changelog ===
ros-rolling-ros2param (0.29.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-ros2param (0.28.0-1jammy) jammy; urgency=high

  * Fix tests with get_type_description service and param present (#838 <https://github.com/ros2/ros2cli/issues/838>)
  * Update ros2 param dump dosctring. (#837 <https://github.com/ros2/ros2cli/issues/837>)
  * Contributors: Emerson Knapp, Murilo M Marinho

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-ros2param (0.27.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-ros2param (0.26.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-ros2param (0.26.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-ros2param (0.25.0-1jammy) jammy; urgency=high

  * remove deprecated options (#824 <https://github.com/ros2/ros2cli/issues/824>)
  * Make all of the dependencies in pure Python packages exec_depend. (#823 <https://github.com/ros2/ros2cli/issues/823>)
  * Contributors: Chris Lalancette, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-ros2param (0.24.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-ros2param (0.24.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ros2param (0.23.0-1jammy) jammy; urgency=high

  * add timeout option for ros2param to find node. (#802 <https://github.com/ros2/ros2cli/issues/802>)
  * Contributors: Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 02 Mar 2023 00:00:00 -0000

ros-rolling-ros2param (0.22.0-1jammy) jammy; urgency=high

  * Fix printing of integer and double arrays. (#804 <https://github.com/ros2/ros2cli/issues/804>)
  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-ros2param (0.21.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-ros2param (0.20.0-1jammy) jammy; urgency=high

  * refactor: make ros2param use rclpy.parameter_client (#716 <https://github.com/ros2/ros2cli/issues/716>)
  * Contributors: Brian

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-ros2param (0.19.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-ros2param (0.18.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-ros2param (0.18.2-1jammy) jammy; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-ros2param (0.18.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-ros2param (0.18.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-ros2param (0.17.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-rolling-ros2param (0.17.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-rolling-ros2param (0.16.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ros2param (0.16.0-1jammy) jammy; urgency=high

  * Fix how ros2 param interprets command-line arguments. (#684 <https://github.com/ros2/ros2cli/issues/684>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ros2param (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Removed redundant code (#666 <https://github.com/ros2/ros2cli/issues/666>)
  * Reapply #659 <https://github.com/ros2/ros2cli/issues/659> (#661 <https://github.com/ros2/ros2cli/issues/661>)
  * Fix flaky ros2 param list (#656 <https://github.com/ros2/ros2cli/issues/656>)
  * Skip None Result (#646 <https://github.com/ros2/ros2cli/issues/646>)
  * add '--write' option to avoid an unintentional data loss. (#638 <https://github.com/ros2/ros2cli/issues/638>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic, Jacob Perron, Jay Wang, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-ros2param (0.14.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-rolling-ros2param (0.13.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-ros2param (0.12.0-1jammy) jammy; urgency=high

  * Make the ros2param --filter test more reliable. (#606 <https://github.com/ros2/ros2cli/issues/606>)
  * Add wildcard loading to ros2 param load. (#602 <https://github.com/ros2/ros2cli/issues/602>)
  * Ros2 param dump/load should use fully qualified node names. (#600 <https://github.com/ros2/ros2cli/issues/600>)
  * Add --filter options for 'ros2 param list'. (#592 <https://github.com/ros2/ros2cli/issues/592>)
  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)

